Skip to content

Delete NTRIP credentials at a priority​

DELETE
/devices/{id}/rtk/ntrip/{priority}

Deletes the NTRIP credentials configured for the device at the requested priority.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required
priority*

Credential priority

Type
integer
Required

Request example

Responses​

Credentials deleted

Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
info:
  title: Lightbug API
  version: '2'
externalDocs:
  description: ''
  url: ''
openapi: 3.1.0
servers:
  - url: https://api.lightbug.cloud/v2
security:
  - ApiKeyAuth: []
tags: []
paths:
  /devices/{id}/rtk/ntrip/{priority}:
    delete:
      description: Deletes the NTRIP credentials configured for the device at the requested priority.
      parameters:
        - description: Device ID
          in: path
          name: id
          required: true
          schema:
            type: integer
        - description: Credential priority
          in: path
          name: priority
          required: true
          schema:
            type: integer
      responses:
        '204':
          description: Credentials deleted
'400':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Invalid device ID or priority
'401':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Unauthorized
'404':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Device or credentials not found
'500':
yaml
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
          description: Failed to delete credentials
yaml
      security:
        - ApiKeyAuth: []
      summary: Delete NTRIP credentials at a priority
      tags:
        - rtk
      operationId: delete-devices-id-rtk-ntrip-priority
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...